%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Compress-Raw-Bzip2
%define modv   2.020
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       Low-Level Interface to bzip2 compression library
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Paul Marquess <pmqs@cpan.org>
Provides:      perl(Compress::Raw::Bzip2) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl >= 5.4
BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Pod) >= 1.00
BuildRequires: bzip2-devel


%description
Compress::Raw::Bzip2 provides an interface to the in-memory compression/
uncompression functions from the bzip2 compression library. Although the
primary purpose for the existence of Compress::Raw::Bzip2 is for use by
the IO::Compress::Bzip2 and IO::Compress::Bunzip2 modules, it can be used
on its own for simple compression/uncompression tasks.


%prep
%setup -q -n %{modn}-%{modv}


%build
export BUILD_BZIP2="0"
export BZIP2_INCLUDE="%{_includedir}"
export BZIP2_LIB="%{_libdir}"

%{__perl} \
	Makefile.PL          \
	INSTALLDIRS="vendor" \
	OPTIMIZE="${RPM_OPT_FLAGS}"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist"       -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -type f -name "*.bs" -a -size 0 -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d          -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/auto/%{modp}
%{perl_vendorarch}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Wed Jul 29 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2.020-1
- New version (2.020)

* Mon Feb 02 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2.015-1
- New version (2.015)

* Wed Apr 23 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.009-1
- Initial build
